
From: Matt Mackall <mpm@selenic.com>

Correct wrong ip header in netpoll_send_udp.

Signed-off-by: Duncan Sands <baldrick@free.fr>
Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/core/netpoll.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN net/core/netpoll.c~netpoll-endian-fixes net/core/netpoll.c
--- 25/net/core/netpoll.c~netpoll-endian-fixes	2004-09-12 22:53:49.912556976 -0700
+++ 25-akpm/net/core/netpoll.c	2004-09-12 22:53:49.916556368 -0700
@@ -242,9 +242,9 @@ void netpoll_send_udp(struct netpoll *np
 	iph = (struct iphdr *)skb_push(skb, sizeof(*iph));
 
 	/* iph->version = 4; iph->ihl = 5; */
-	put_unaligned(0x54, (unsigned char *)iph);
+	put_unaligned(0x45, (unsigned char *)iph);
 	iph->tos      = 0;
-	put_unaligned(htonl(ip_len), &(iph->tot_len));
+	put_unaligned(htons(ip_len), &(iph->tot_len));
 	iph->id       = 0;
 	iph->frag_off = 0;
 	iph->ttl      = 64;
_
